XPresentSelectInput(3)

NAME
XPresentSelectInput - select X Present Extension events to receive

SYNTAX
#include <X11/extensions/Xpresent.h>

XID XPresentSelectInput (Display *display,
	Window window,
	unsigned int event_mask);

void XPresentFreeInput (Display *display,
        Window window,
        XID event_id);

DESCRIPTION
XPresentSelectInput selects a set of Present events to be delivered for the specified window on the X server specified by display.

XPresentSelectInput returns an XID which may be passed to XPresentFreeInput to stop receiving the requested events.

SEE ALSO
Xpresent(3), XPresentNotifyMSC(3), XPresentPixmap(3), XPresentQueryCapabilities(3)

AUTHORS
Keith Packard, Intel